
class Layers extends eui.UILayer {
    private _topLayer: egret.Sprite;
    private _popupLayer: egret.Sprite;
    private _sceneLayer: egret.Sprite;
    init(root: eui.UILayer) {
        root.addChild(this);
        this._topLayer = new egret.Sprite();
        this._popupLayer = new egret.Sprite();
        this._sceneLayer = new egret.Sprite();
        this.addChild(this._sceneLayer);
        this.addChild(this._popupLayer);
        this.addChild(this._topLayer);
    }

    get topLayer() { return this._topLayer }
    get popupLayer() { return this._popupLayer }
    get sceneLayer() { return this._sceneLayer }

}

const instance = new Layers();
export default instance